Skip to main content
GET
/
api
/
dashboard
/
summary
Dashboard summary counts
curl --request GET \
  --url https://api.example.com/api/dashboard/summary \
  --header 'Authorization: Bearer <token>'
{
  "total_memories": 123,
  "personal_count": 123,
  "work_count": 123,
  "commitment_count": 123,
  "blocker_count": 123,
  "decision_count": 123,
  "deferred_count": 0,
  "cluster_count": 0,
  "manual_count": 0,
  "hook_count": 0,
  "auto_count": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

scope
enum<string> | null

Filter by scope (personal or work)

Available options:
personal,
work

Response

Successful Response

Response schema for dashboard summary counts.

total_memories
integer
required
personal_count
integer
required
work_count
integer
required
commitment_count
integer
required
blocker_count
integer
required
decision_count
integer
required
deferred_count
integer
default:0
cluster_count
integer
default:0
manual_count
integer
default:0
hook_count
integer
default:0
auto_count
integer
default:0